text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Typeable

Description

Monomorphic `TextShow` functions for data types in the `Typeable` module.

Since: 2

Synopsis

- showbTyCon :: TyCon -> Builder
- showbTypeRepPrec :: Int -> TypeRep -> Builder

# Documentation

showbTyCon :: TyCon -> Builder Source

Convert a `TyCon` to a `Builder`.

Since: 2

showbTypeRepPrec :: Int -> TypeRep -> Builder Source

Convert a `TypeRep` to a `Builder` with the given precedence.

Since: 2